#!/bin/bash
#Run this when you've connected the external SSD.
#The disk will be formatted with a swap partition and a log partition.
#ssh pi@raspberrypi.local.
#(password is "raspberry")
#Paste these commands into the terminal or copy this script over and run it:
#	bash ./pisensor-3-runme.sh

if [ -b /dev/sda ]; then
	echo "Block device sda1 detected"
else
	echo "Cannot locate /dev/sda - do you have the external hard drive connected to the USB 3.0 port?  Exiting."
	exit 1
fi

if [ -b /dev/sdb ]; then
	echo "This system has at least 2 block devices connected; exiting so we have no chance of formatting the wrong one."
	exit 1
fi

echo "This will completely erase /dev/sda .  The following output is a description of the disk attached."
sudo lshw -short -class disk
echo "If this is the disk you want to erase, enter 'yes'.  If it is not, press Ctrl-C now."
read response
if [ "$response" != "yes" ]; then
	echo "Exiting"
	exit 1
fi

sudo mkdir -p /opt/bro/logs/ /opt/bro/pcaps/

if ! grep -q '^/dev/sda1' /etc/fstab ; then
	echo '/dev/sda1         swap            swap    defaults        0 0' | sudo tee -a /etc/fstab >/dev/null
fi
if ! grep -q '^/dev/sda2' /etc/fstab ; then
	echo '/dev/sda2         /opt/bro/       ext4    defaults        0 0' | sudo tee -a /etc/fstab >/dev/null
fi

sudo killall -TERM tcpdump 2>/dev/null
sudo broctl stop 2>/dev/null
sudo swapoff /dev/sda1 2>/dev/null
sudo umount /opt/bro/ 2>/dev/null

cat sfdisk-sda | sudo sfdisk -b -w always --no-reread -W always /dev/sda
sudo mkswap /dev/sda1
sudo mkfs.ext4 -F -j -m 2 -t ext4 /dev/sda2
sudo swapon /dev/sda1
sudo mount /opt/bro/
sudo mkdir -p /opt/bro/logs /opt/bro/pcaps
sudo chown root.root /opt/bro/logs/ /opt/bro/pcaps/
cd /opt/bro
sudo rm -f etc
sudo ln -sf /etc/bro/ etc
cd -
cat /proc/swaps
df -h /opt/bro/
ls -al /opt/bro/
